Package com.io7m.cardant.client.api

# Record Class CAClientCredentials

java.lang.Object
java.lang.Record
com.io7m.cardant.client.api.CAClientCredentials

Record Components:
  `host` - The target host
  `port` - The target port
  `https` - `true` if https should be used
  `username` - The username
  `password` - The password
  `metadata` - The extra metadata

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBCredentialsType`

public record CAClientCredentials(String host, int port, boolean https, com.io7m.idstore.model.IdName username, String password, Map<String,String> metadata) extends Record implements com.io7m.hibiscus.api.HBCredentialsType
The client credentials.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAClientCredentials(String host, int port, boolean https, com.io7m.idstore.model.IdName username, String password, Map<String,String> metadata)`
  The client credentials.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `baseURI()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `host()`
  Returns the value of the `host` record component.
  `boolean`
  `https()`
  Returns the value of the `https` record component.
  `Map<String,String>`
  `metadata()`
  Returns the value of the `metadata` record component.
  `String`
  `password()`
  Returns the value of the `password` record component.
  `int`
  `port()`
  Returns the value of the `port` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `com.io7m.idstore.model.IdName`
  `username()`
  Returns the value of the `username` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAClientCredentials

    public CAClientCredentials(String host, int port, boolean https, com.io7m.idstore.model.IdName username, String password, Map<String,String> metadata)
    The client credentials.
    Parameters:
      `host` - The target host
      `port` - The target port
      `https` - `true` if https should be used
      `username` - The username
      `password` - The password
      `metadata` - The extra metadata

- ## Method Details

  - ### baseURI

    public URI baseURI()
    Returns:
      The server base URI

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### host

    public String host()
    Returns the value of the `host` record component.
    Returns:
      the value of the `host` record component

  - ### port

    public int port()
    Returns the value of the `port` record component.
    Returns:
      the value of the `port` record component

  - ### https

    public boolean https()
    Returns the value of the `https` record component.
    Returns:
      the value of the `https` record component

  - ### username

    public com.io7m.idstore.model.IdName username()
    Returns the value of the `username` record component.
    Returns:
      the value of the `username` record component

  - ### password

    public String password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component

  - ### metadata

    public Map<String,String> metadata()
    Returns the value of the `metadata` record component.
    Returns:
      the value of the `metadata` record component